Please support VectorLinux!

Author Topic: Installing wxGTK, Pango typo  (Read 1167 times)

merlin3000

  • Member
  • *
  • Posts: 1
Installing wxGTK, Pango typo
« on: May 22, 2008, 09:01:59 pm »
Hi, I recently started to work in linux, I'm using the Vector Linux 5.9 GOLD edition. It's really great fast and easy even for a newbie like me.

I was trying to install wxGTK, I've download it from the wxWidgets home site.
I got an error while installing it: "/usr/include/pango-1.0/pango/pango-layout.h:140: error: 'PcngoLayout' was not declared in this scope".
I've replaced Pcngo for Pango and now everything works. Is this a known typo in the library?

Just reporting  and this seemed like the most adequate place.

Thanks for a great first experience in linux.

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2299
Re: Installing wxGTK, Pango typo
« Reply #1 on: May 22, 2008, 09:22:00 pm »
Well, I cant find it here : http://bugzilla.gnome.org/
The typo is not there in the subversion repository though:
http://svn.gnome.org/viewvc/pango/trunk/pango/pango-layout.h?revision=2605&view=markup
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

exeterdad

  • Packager
  • Vectorian
  • ****
  • Posts: 2046
Re: Installing wxGTK, Pango typo
« Reply #2 on: May 23, 2008, 05:10:17 am »
wxGTK-2.8.7-i586-1vl59.tlz is in the testing repo.  Didn't that work for you?